/************************************************************
 **
 ** bsc_expr.h : BSC expression parsing declarations
 **
 ** Copyright (c) 2004, Kyle A. York
 ** All rights reserved
 **
 ************************************************************/
#ifndef bsc_expr_h__
#define bsc_expr_h__

#include "bsc_file.h"

#define EXPR_FLAG_IF 0x0001 /* all operations are logical */
result_t bsc_subscript_parse(bsc_file_t *pf, value_t *val);
result_t bsc_expr_parse(bsc_file_t *pf, flag_t flags, value_t **dst);

#endif /* bsc_expr_h__ */


