/************************************************************
 **
 ** bsc_vdef.h : BSC variable parsing declarations
 **
 ** Copyright (c) 2004, Kyle A. York
 ** All rights reserved
 **
 ************************************************************/
#ifndef bsc_vdef_h__
#define bsc_vdef_h__

#include "bsc_parm.h"

typedef enum {
  bsc_vardef_char,
  bsc_vardef_byte,
  bsc_vardef_sbyte,
  bsc_vardef_word,
  bsc_vardef_sword,
  bsc_vardef_dword,
  bsc_vardef_sdword
} bsc_vardef_t;

void bsc_parse_constdef(bsc_file_t *pf, unsigned sub, size_t param_ct, 
  const param_t *params);
void bsc_parse_vardef(bsc_file_t *pf, unsigned sub, size_t param_ct, 
  const param_t *params);

#endif /* bsc_vdef_h__ */

