#ifndef pfilesrc_h__
#define pfilesrc_h__

#include "ptype.h"

result_t pfile_source_open(pfile_source_t **dst, const char *fname,
    pfile_t *pf);
void pfile_source_lock(pfile_source_t *src);
void pfile_source_release(pfile_source_t *src);

int  pfile_source_ch_get(pfile_source_t *src);
void pfile_source_ch_unget(pfile_source_t *src, int ch);
unsigned pfile_source_line_get(const pfile_source_t *src);
const char *pfile_source_name_get(const pfile_source_t *src);

void pfile_source_rewind(pfile_source_t *src);

#endif /* pfilesrc_h__ */


