/************************************************************
 **
 ** cmdoptmz.h : p-code optimization declarations
 **
 ** Copyright (c) 2004, Kyle A. York
 ** All rights reserved
 **
 ************************************************************/
#ifndef cmdoptmz_h__
#define cmdoptmz_h__

/* note: these optimizations are order dependent, and should
         be run in the order listed */
void   cmd_opt_branch_fixup(cmd_t *cmd);
void   cmd_opt_call_return(cmd_t *cmd);
cmd_t *cmd_label_find(cmd_t *cmd, const label_t *lbl);
void   cmd_opt_dst(pfile_t *pf, cmd_t *cmd);
void   cmd_analyze(cmd_t *cmd_top, cmd_t *cmd, flag_t flag, size_t depth);
void   cmd_opt_branch2(pfile_t *pf, cmd_t *cmd);
void   cmd_opt_counters_fix(cmd_t *cmd_top);

#endif /* cmdoptmz_h__ */
